<a href="https://www.telerik.com/kendo-angular-ui/" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular Uploads Package (Upload and FileSelect Components)

> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui)&mdash;a commercial library designed and built for developing business applications with Angular. Every UI component in the Kendo UI for Angular suite has been built from the ground-up specifically for Angular.
> * You must [install a license key](https://www.telerik.com/kendo-angular-ui/my-license) when adding the package to your project. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular dev team!
>
> [Start using Kendo UI for Angular](https://www.telerik.com/download-login-v2-kendo-angular-ui) and speed up your development process!

The [Kendo UI for Angular Uploads](https://www.telerik.com/kendo-angular-ui/components/uploads/) package contains two components that help users select files from their file systems and send them to dedicated server handlers configured to receive them.

## What's Included in the Angular Uploads Package

* [Angular Upload Component](https://www.telerik.com/kendo-angular-ui/components/uploads/upload/)&mdash;Enables users to upload files from their local systems to dedicated server handlers which are configured to receive them. It offers several features, including batch and chunk upload modes, dragging and dropping files from the file system, etc.
* [Angular FileSelect Component](https://www.telerik.com/kendo-angular-ui/components/uploads/fileselect/)&mdash;The FileSelect builds on the functionality of Upload component to offer you more control over the selected user files, when and how to upload them. It is a richer version of an `<input type='file'>` element and supports model binding, templates, forms, and more.

## Key Features

Among the many features which the Kendo UI for Angular Uploads deliver are:

* [Disabled Uploads](https://www.telerik.com/kendo-angular-ui/components/uploads/fileselect/disabled-state)&mdash;You can choose to render the Uploads in their disabled state so that, if need be present, users will not be able to interact with them.
* [External Dropzone](https://www.telerik.com/kendo-angular-ui/components/uploads/fileselect/external-dropzone)&mdash;You can enable users to drag and drop files from their file systems to a dedicated user interface by using the drag-and-drop tool or by creating custom elements with a drag-and-drop functionality.
* [Forms Support](https://www.telerik.com/kendo-angular-ui/components/uploads/upload/forms)&mdash;The Uploads provide support both for the asynchronous template-driven Angular forms and the predominantly synchronous reactive Angular forms.
* [Model Binding](https://www.telerik.com/kendo-angular-ui/components/uploads/fileselect/model-binding)&mdash;You can bind the value of the Uploads to the model in order to render an initial set of files.
* [Restrictions](https://www.telerik.com/kendo-angular-ui/components/uploads/upload/restrictions)&mdash;The Uploads support restricting the selected files by defining rules about the accepted minimum and maximum file size, file types and extensions.
* [Templates](https://www.telerik.com/kendo-angular-ui/components/uploads/upload/templates)&mdash;You can customize the way the Uploads display their file lists by utilizing the available file templates. 
* [Globalization](https://www.telerik.com/kendo-angular-ui/components/uploads/globalization/)&mdash;The Uploads support globalization to ensure that each component can fit well in any application, no matter what languages and locales need to be supported. Additionally, the Uploads support rendering in a right-to-left (RTL) direction.
* [Accessibility](https://www.telerik.com/kendo-angular-ui/components/uploads/upload/accessibility/)&mdash;The Uploads are accessible for screen readers and support WAI-ARIA attributes. 
* [Keyboard Navigation](https://www.telerik.com/kendo-angular-ui/components/uploads/fileselect/keyboard-navigation)&mdash;The Uploads support a number of keyboard shortcuts which allow users to accomplish various commands.

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Uploads, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-tickets).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular Uploads](https://www.telerik.com/kendo-angular-ui/components/uploads/installation/getting-started)
* [Uploads Overview page](https://www.telerik.com/kendo-angular-ui/components/uploads) and [Uploads API reference](https://www.telerik.com/kendo-angular-ui/components/uploads/api)
* [Kendo UI for Angular roadmap](https://www.telerik.com/kendo-angular-ui/roadmap)
* [Kendo UI for Angular Blog](https://www.telerik.com/blogs/tag/kendo-ui-for-angular)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
