/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { UploadDropZoneDirective } from "./dropzone-external.directive";
import { UploadDropZoneComponent } from "./dropzone.component";
import { FileSelectComponent } from "./fileselect.component";
import { CustomMessagesComponent } from "./localization/custom-messages.component";
import { UploadActionButtonsComponent } from "./rendering/upload-action-buttons.component";
import { UploadStatusTotalComponent } from "./rendering/upload-status-total.component";
import { FileInfoTemplateDirective } from "./templates/file-info-template.directive";
import { FileTemplateDirective } from "./templates/file-template.directive";
import { UploadComponent } from "./upload.component";
/**
 * Utility array that contains all `FileSelect` related components and directives
 */
export const KENDO_FILESELECT = [
    FileSelectComponent,
    FileTemplateDirective,
    FileInfoTemplateDirective,
    CustomMessagesComponent,
    UploadDropZoneDirective,
    UploadDropZoneComponent
];
/**
 * Utility array that contains all `Upload` related components and directives
 */
export const KENDO_UPLOAD = [
    UploadComponent,
    UploadActionButtonsComponent,
    UploadStatusTotalComponent,
    FileTemplateDirective,
    FileInfoTemplateDirective,
    CustomMessagesComponent,
    UploadDropZoneDirective,
    UploadDropZoneComponent
];
/**
 * Utility array that contains all `@progress/kendo-angular-upload` related components and directives
 */
export const KENDO_UPLOADS = [
    ...KENDO_FILESELECT,
    ...KENDO_UPLOAD
];
