/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Directive, Input } from '@angular/core';
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export class Messages extends ComponentMessages {
    /**
     * Sets the text for the **Cancel** button.
     */
    cancel;
    /**
     * Sets the text for the **Clear** button.
     */
    clearSelectedFiles;
    /**
     * Sets the drop-zone hint.
     */
    dropFilesHere;
    /**
     * Sets the external drop-zone hint.
     */
    externalDropFilesHere;
    /**
     * Sets the status message for a batch of files.
     */
    filesBatchStatus;
    /**
     * Sets the status message for a batch of files after failed upload.
     */
    filesBatchStatusFailed;
    /**
     * Sets the status message for a batch of files after successful upload.
     */
    filesBatchStatusUploaded;
    /**
     * Sets the file status message after failed upload.
     */
    fileStatusFailed;
    /**
     * Sets the file status message after successful upload.
     */
    fileStatusUploaded;
    /**
     * Sets the header status message when the file upload is paused.
     */
    headerStatusPaused;
    /**
     * Sets the header status message after the file upload completes.
     */
    headerStatusUploaded;
    /**
     * Sets the header status message during the upload of the file.
     */
    headerStatusUploading;
    /**
     * Sets the text for the invalid `allowedExtensions` restriction message.
     */
    invalidFileExtension;
    /**
     * Sets the text for the invalid `maxFileSize` restriction message.
     */
    invalidMaxFileSize;
    /**
     * Sets the text for the invalid `minFileSize` restriction message.
     */
    invalidMinFileSize;
    /**
     * Sets the text for the **Pause** button.
     */
    pause;
    /**
     * Sets the text for the **Remove** button.
     */
    remove;
    /**
     * Sets the text for the **Resume** button.
     */
    resume;
    /**
     * Sets the text for the **Retry** button.
     */
    retry;
    /**
     * Sets the text for the **Select** button.
     */
    select;
    /**
     * Sets the text for the **Upload files** button.
     */
    uploadSelectedFiles;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Messages, deps: null, target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: Messages, inputs: { cancel: "cancel", clearSelectedFiles: "clearSelectedFiles", dropFilesHere: "dropFilesHere", externalDropFilesHere: "externalDropFilesHere", filesBatchStatus: "filesBatchStatus", filesBatchStatusFailed: "filesBatchStatusFailed", filesBatchStatusUploaded: "filesBatchStatusUploaded", fileStatusFailed: "fileStatusFailed", fileStatusUploaded: "fileStatusUploaded", headerStatusPaused: "headerStatusPaused", headerStatusUploaded: "headerStatusUploaded", headerStatusUploading: "headerStatusUploading", invalidFileExtension: "invalidFileExtension", invalidMaxFileSize: "invalidMaxFileSize", invalidMinFileSize: "invalidMinFileSize", pause: "pause", remove: "remove", resume: "resume", retry: "retry", select: "select", uploadSelectedFiles: "uploadSelectedFiles" }, usesInheritance: true, ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Messages, decorators: [{
            type: Directive
        }], propDecorators: { cancel: [{
                type: Input
            }], clearSelectedFiles: [{
                type: Input
            }], dropFilesHere: [{
                type: Input
            }], externalDropFilesHere: [{
                type: Input
            }], filesBatchStatus: [{
                type: Input
            }], filesBatchStatusFailed: [{
                type: Input
            }], filesBatchStatusUploaded: [{
                type: Input
            }], fileStatusFailed: [{
                type: Input
            }], fileStatusUploaded: [{
                type: Input
            }], headerStatusPaused: [{
                type: Input
            }], headerStatusUploaded: [{
                type: Input
            }], headerStatusUploading: [{
                type: Input
            }], invalidFileExtension: [{
                type: Input
            }], invalidMaxFileSize: [{
                type: Input
            }], invalidMinFileSize: [{
                type: Input
            }], pause: [{
                type: Input
            }], remove: [{
                type: Input
            }], resume: [{
                type: Input
            }], retry: [{
                type: Input
            }], select: [{
                type: Input
            }], uploadSelectedFiles: [{
                type: Input
            }] } });
