/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class Messages extends ComponentMessages {
    /**
     * Sets the text for the **Cancel** button.
     */
    cancel: string;
    /**
     * Sets the text for the **Clear** button.
     */
    clearSelectedFiles: string;
    /**
     * Sets the drop-zone hint.
     */
    dropFilesHere: string;
    /**
     * Sets the external drop-zone hint.
     */
    externalDropFilesHere: string;
    /**
     * Sets the status message for a batch of files.
     */
    filesBatchStatus: string;
    /**
     * Sets the status message for a batch of files after failed upload.
     */
    filesBatchStatusFailed: string;
    /**
     * Sets the status message for a batch of files after successful upload.
     */
    filesBatchStatusUploaded: string;
    /**
     * Sets the file status message after failed upload.
     */
    fileStatusFailed: string;
    /**
     * Sets the file status message after successful upload.
     */
    fileStatusUploaded: string;
    /**
     * Sets the header status message when the file upload is paused.
     */
    headerStatusPaused: string;
    /**
     * Sets the header status message after the file upload completes.
     */
    headerStatusUploaded: string;
    /**
     * Sets the header status message during the upload of the file.
     */
    headerStatusUploading: string;
    /**
     * Sets the text for the invalid `allowedExtensions` restriction message.
     */
    invalidFileExtension: string;
    /**
     * Sets the text for the invalid `maxFileSize` restriction message.
     */
    invalidMaxFileSize: string;
    /**
     * Sets the text for the invalid `minFileSize` restriction message.
     */
    invalidMinFileSize: string;
    /**
     * Sets the text for the **Pause** button.
     */
    pause: string;
    /**
     * Sets the text for the **Remove** button.
     */
    remove: string;
    /**
     * Sets the text for the **Resume** button.
     */
    resume: string;
    /**
     * Sets the text for the **Retry** button.
     */
    retry: string;
    /**
     * Sets the text for the **Select** button.
     */
    select: string;
    /**
     * Sets the text for the **Upload files** button.
     */
    uploadSelectedFiles: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<Messages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<Messages, never, never, { "cancel": { "alias": "cancel"; "required": false; }; "clearSelectedFiles": { "alias": "clearSelectedFiles"; "required": false; }; "dropFilesHere": { "alias": "dropFilesHere"; "required": false; }; "externalDropFilesHere": { "alias": "externalDropFilesHere"; "required": false; }; "filesBatchStatus": { "alias": "filesBatchStatus"; "required": false; }; "filesBatchStatusFailed": { "alias": "filesBatchStatusFailed"; "required": false; }; "filesBatchStatusUploaded": { "alias": "filesBatchStatusUploaded"; "required": false; }; "fileStatusFailed": { "alias": "fileStatusFailed"; "required": false; }; "fileStatusUploaded": { "alias": "fileStatusUploaded"; "required": false; }; "headerStatusPaused": { "alias": "headerStatusPaused"; "required": false; }; "headerStatusUploaded": { "alias": "headerStatusUploaded"; "required": false; }; "headerStatusUploading": { "alias": "headerStatusUploading"; "required": false; }; "invalidFileExtension": { "alias": "invalidFileExtension"; "required": false; }; "invalidMaxFileSize": { "alias": "invalidMaxFileSize"; "required": false; }; "invalidMinFileSize": { "alias": "invalidMinFileSize"; "required": false; }; "pause": { "alias": "pause"; "required": false; }; "remove": { "alias": "remove"; "required": false; }; "resume": { "alias": "resume"; "required": false; }; "retry": { "alias": "retry"; "required": false; }; "select": { "alias": "select"; "required": false; }; "uploadSelectedFiles": { "alias": "uploadSelectedFiles"; "required": false; }; }, {}, never, never, false, never>;
}
