/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter, NgZone } from '@angular/core';
import { UploadService } from './upload.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class NavigationService {
    private uploadService;
    private zone;
    onActionButtonFocus: EventEmitter<string>;
    onFileAction: EventEmitter<number>;
    onFileFocus: EventEmitter<number>;
    onTabOut: EventEmitter<any>;
    onWrapperFocus: EventEmitter<any>;
    onSelectButtonFocus: EventEmitter<any>;
    actionButtonsVisible: boolean;
    fileListVisible: boolean;
    focused: boolean;
    keyBindings: Object;
    focusedFileIndex: number;
    private _focusedIndex;
    constructor(uploadService: UploadService, zone: NgZone);
    action(event: any): Function;
    process(event: KeyboardEvent, component?: string): void;
    computeKeys(): void;
    focusSelectButton(): void;
    handleEnter(): void;
    handleSpace(): void;
    handleDelete(): void;
    handleEscape(): void;
    handleTab(event: any, component: any): void;
    handleUpDown(event: any, direction: any): void;
    get focusedIndex(): number;
    set focusedIndex(index: number);
    get lastFileIndex(): number;
    get lastIndex(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NavigationService>;
}
