/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { FileInfo } from '../types';
import { UploadService } from '../upload.service';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { NavigationService } from './../navigation.service';
import { SVGIcon } from '@progress/kendo-svg-icons';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FileListItemActionButtonComponent {
    private uploadService;
    private localization;
    private navigation;
    file: FileInfo;
    disabled: boolean;
    progress: number;
    retrySVGIcon: SVGIcon;
    playSVGIcon: SVGIcon;
    pauseSVGIcon: SVGIcon;
    cancelSVGIcon: SVGIcon;
    deleteSVGIcon: SVGIcon;
    constructor(uploadService: UploadService, localization: LocalizationService, navigation: NavigationService);
    onRetryClick(): void;
    onRemoveCancelClick(event?: any): void;
    onPauseResumeClick(): void;
    get actionButtonTitle(): string;
    get retryButtonTitle(): string;
    get pauseResumeButtonTitle(): string;
    get isUploading(): boolean;
    get isFailed(): boolean;
    get isPaused(): boolean;
    get isResumable(): boolean;
    get isActionButtonVisible(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileListItemActionButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileListItemActionButtonComponent, "kendo-upload-file-list-item-action-button", never, { "file": { "alias": "file"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "progress": { "alias": "progress"; "required": false; }; }, {}, never, never, true, never>;
}
