/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef } from '@angular/core';
import { FileInfo } from '../types';
import { NavigationService } from '../navigation.service';
import { UploadService } from '../upload.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FileListItemDirective {
    private navigationService;
    private uploadService;
    files: Array<FileInfo>;
    index: number;
    fileClass: boolean;
    focused: boolean;
    element: ElementRef;
    constructor(el: ElementRef, navigationService: NavigationService, uploadService: UploadService);
    focus(): void;
    get uidAttribute(): string;
    get tabIndex(): string;
    get kFileError(): boolean;
    get kFileInvalid(): boolean;
    get kFileProgress(): boolean;
    get kFileSuccess(): boolean;
    get kStateFocused(): boolean;
    onFocus(): void;
    onBlur(): void;
    onClick(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileListItemDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FileListItemDirective, "[kendoUploadFileListItem]", never, { "files": { "alias": "files"; "required": false; }; "index": { "alias": "index"; "required": false; }; }, {}, never, never, true, never>;
}
