/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnInit } from '@angular/core';
import { FileInfo } from '../types';
import { FileListItemBase } from './file-list-item-base';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { UploadService } from '../upload.service';
import { FileInfoTemplateDirective } from '../templates/file-info-template.directive';
import { SVGIcon } from '@progress/kendo-svg-icons';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FileListMultipleItemsComponent extends FileListItemBase implements OnInit {
    protected localization: LocalizationService;
    disabled: boolean;
    files: Array<FileInfo>;
    fileInfoTemplate: FileInfoTemplateDirective;
    filesHaveErrors: boolean;
    copySVGIcon: SVGIcon;
    constructor(localization: LocalizationService, uploadService: UploadService);
    get showProgress(): string;
    ngOnInit(): void;
    fileStatusText(file: FileInfo): any;
    get batchStatusText(): string;
    get isUploadSuccessful(): boolean;
    get isUploadFailed(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileListMultipleItemsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileListMultipleItemsComponent, "kendo-upload-file-list-multiple-items", never, { "disabled": { "alias": "disabled"; "required": false; }; "files": { "alias": "files"; "required": false; }; "fileInfoTemplate": { "alias": "fileInfoTemplate"; "required": false; }; }, {}, never, never, true, never>;
}
