/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnDestroy, QueryList } from '@angular/core';
import { FileInfo } from '../types';
import { FileTemplateDirective } from '../templates/file-template.directive';
import { FileListItemDirective } from './file-list-item';
import { NavigationService } from '../navigation.service';
import { UploadService } from '../upload.service';
import { FileInfoTemplateDirective } from '../templates/file-info-template.directive';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FileListComponent implements OnDestroy {
    private uploadService;
    private navigation;
    disabled: boolean;
    fileList: Array<Array<FileInfo>>;
    fileTemplate: FileTemplateDirective;
    fileInfoTemplate: FileInfoTemplateDirective;
    fileListItems: QueryList<FileListItemDirective>;
    fileListRole: string;
    private focusSubscription;
    private actionSubscription;
    constructor(uploadService: UploadService, navigation: NavigationService);
    onItemFocus(): void;
    onItemAction(): void;
    itemActionHandler(key: number): void;
    hasDelete(item: FileListItemDirective): boolean;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileListComponent, "[kendo-upload-file-list]", never, { "disabled": { "alias": "disabled"; "required": false; }; "fileList": { "alias": "fileList"; "required": false; }; "fileTemplate": { "alias": "fileTemplate"; "required": false; }; "fileInfoTemplate": { "alias": "fileInfoTemplate"; "required": false; }; }, {}, never, never, true, never>;
}
