/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef } from '@angular/core';
import { UploadService } from '../upload.service';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { NavigationService } from '../navigation.service';
import { ActionsLayout } from '../common/action-buttons-layout';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class UploadActionButtonsComponent {
    private uploadService;
    private localization;
    private navigation;
    disabled: boolean;
    actionsLayout: ActionsLayout;
    clearButton: ElementRef;
    uploadButton: ElementRef;
    hostDefaultClass: boolean;
    get actionButtonsEndClassName(): boolean;
    get actionButtonsStretchedClassName(): boolean;
    get actionButtonsStartClassName(): boolean;
    get actionButtonsCenterClassName(): boolean;
    constructor(uploadService: UploadService, localization: LocalizationService, navigation: NavigationService);
    onUploadButtonFocus(): void;
    onUploadButtonClick(event?: any): void;
    performUpload(): void;
    onClearButtonClick(event?: any): void;
    clearFiles(): void;
    textFor(key: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<UploadActionButtonsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UploadActionButtonsComponent, "kendo-upload-action-buttons", never, { "disabled": { "alias": "disabled"; "required": false; }; "actionsLayout": { "alias": "actionsLayout"; "required": false; }; }, {}, never, never, true, never>;
}
