/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DoCheck } from '@angular/core';
import { FileMap } from '../types/file-map';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { SVGIcon } from '@progress/kendo-svg-icons';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class UploadStatusTotalComponent implements DoCheck {
    private localization;
    fileList: FileMap;
    isFailed: boolean;
    isPaused: boolean;
    isUploading: boolean;
    statusText: string;
    checkmarkIcon: SVGIcon;
    exceptionSVGIcon: SVGIcon;
    uploadSVGIcon: SVGIcon;
    pauseSVGIcon: SVGIcon;
    constructor(localization: LocalizationService);
    get iconClass(): string;
    get SVGIconClass(): SVGIcon;
    ngDoCheck(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UploadStatusTotalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UploadStatusTotalComponent, "kendo-upload-status-total", never, { "fileList": { "alias": "fileList"; "required": false; }; }, {}, never, never, true, never>;
}
