/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * @hidden
 */
export interface ChunkInfo {
    /**
     * The index of the current chunk
     */
    index: number;
    /**
     * The total number of chunks that the file is split in
     */
    totalChunks: number;
    /**
     * The bytes position up to which the file has been uploaded
     */
    position: number;
    /**
     * The number of retried upload attempts for the current chunk
     */
    retries: number;
}
