/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Contains information which is related to the uploaded file.
 * It is used to process the file chunks and merge them into a file on the back-end.
 */
export interface ChunkMetadata {
    /**
     * The MIME type of the file.
     */
    contentType: string;
    /**
     * The file name.
     */
    fileName: string;
    /**
     * The file size in bytes.
     */
    fileSize: number;
    /**
     * The unique identifier of the file.
     */
    fileUid: string;
    /**
     * The index of the currently uploaded chunk.
     */
    chunkIndex: number;
    /**
     * The total number of chunks that the file is split in.
     */
    totalChunks: number;
}
