/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The settings for the Upload chunk functionality.
 */
export interface ChunkSettings {
    /**
     * The size of the chunks in bytes. Default is 1MB.
     *
     * @default 1048576
     */
    size?: number;
    /**
     * Will attempt a failed chunk upload after the specified number of milliseconds.
     *
     * @default 100
     */
    autoRetryAfter?: number;
    /**
     * Determines the number of attempts to retry uploading a failed chunk.
     *
     * @default 1
     */
    maxAutoRetries?: number;
    /**
     * Determines if the file upload process could be paused and later resumed.
     *
     * @default true
     */
    resumable?: boolean;
}
