/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { FileInfo, FileState } from '../types';
/**
 * @hidden
 */
export declare class FileMap {
    private _files;
    constructor();
    add(file: FileInfo): void;
    remove(uid: string): void;
    clear(): void;
    has(uid: string): boolean;
    get(uid: string): Array<FileInfo>;
    setFilesState(files: Array<FileInfo>, state: FileState): void;
    setFilesStateByUid(uid: string, state: FileState): void;
    get count(): number;
    get files(): Array<Array<FileInfo>>;
    get filesFlat(): Array<FileInfo>;
    get filesToUpload(): Array<Array<FileInfo>>;
    get firstFileToUpload(): Array<FileInfo>;
    getFilesWithState(state: FileState): Array<FileInfo>;
    hasFileWithState(fileStates: Array<FileState>): boolean;
}
