/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Lists the possible states of a file.
 */
export declare enum FileState {
    /**
     * The file upload process has failed.
     */
    Failed = 0,
    /**
     * An initially selected fake file without a set state.
     */
    Initial = 1,
    /**
     * The file is selected.
     */
    Selected = 2,
    /**
     * The file is successfully uploaded.
     */
    Uploaded = 3,
    /**
     * The file is in the process of uploading.
     */
    Uploading = 4,
    /**
     * The file upload process has been paused.
     */
    Paused = 5
}
