/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./fileselect.component";
import * as i2 from "./templates/file-template.directive";
import * as i3 from "./templates/file-info-template.directive";
import * as i4 from "./localization/custom-messages.component";
import * as i5 from "./dropzone-external.directive";
import * as i6 from "./dropzone.component";
import * as i7 from "./upload.component";
import * as i8 from "./rendering/upload-action-buttons.component";
import * as i9 from "./rendering/upload-status-total.component";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Uploads components.
 *
 * @example
 *
 * ```ts-no-run
 * import { UploadsModule } from '@progress/kendo-angular-upload';
 *
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 * import { NgModule } from '@angular/core';
 *
 * import { AppComponent } from './app.component';
 *
 * _@NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, UploadsModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class UploadsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<UploadsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<UploadsModule, never, [typeof i1.FileSelectComponent, typeof i2.FileTemplateDirective, typeof i3.FileInfoTemplateDirective, typeof i4.CustomMessagesComponent, typeof i5.UploadDropZoneDirective, typeof i6.UploadDropZoneComponent, typeof i7.UploadComponent, typeof i8.UploadActionButtonsComponent, typeof i9.UploadStatusTotalComponent, typeof i2.FileTemplateDirective, typeof i3.FileInfoTemplateDirective, typeof i4.CustomMessagesComponent, typeof i5.UploadDropZoneDirective, typeof i6.UploadDropZoneComponent], [typeof i1.FileSelectComponent, typeof i2.FileTemplateDirective, typeof i3.FileInfoTemplateDirective, typeof i4.CustomMessagesComponent, typeof i5.UploadDropZoneDirective, typeof i6.UploadDropZoneComponent, typeof i7.UploadComponent, typeof i8.UploadActionButtonsComponent, typeof i9.UploadStatusTotalComponent, typeof i2.FileTemplateDirective, typeof i3.FileInfoTemplateDirective, typeof i4.CustomMessagesComponent, typeof i5.UploadDropZoneDirective, typeof i6.UploadDropZoneComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<UploadsModule>;
}
